APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
PUT https://graph.microsoft.com/beta/teams/{teamId}/schedule/shifts/{shiftId}
Content-type: application/json
Prefer: return=representation
{
"id": "SHFT_577b75d2-a927-48c0-a5d1-dc984894e7b8",
"createdDateTime": "2019-03-14T04:32:51.451Z",
"lastModifiedDateTime": "2019-03-14T05:32:51.451Z",
"userId": "c5d0c76b-80c4-481c-be50-923cd8d680a1",
"schedulingGroupId": "TAG_228940ed-ff84-4e25-b129-1b395cf78be0",
"lastModifiedBy": {
"application": null,
"device": null,
"conversation": null,
"user": {
"id": "366c0b19-49b1-41b5-a03f-9f3887bd0ed8",
"displayName": "John Doe"
}
},
"sharedShift": {
"displayName": "Day shift",
"notes": "Please do inventory as part of your shift.",
"startDateTime": "2019-03-11T15:00:00Z",
"endDateTime": "2019-03-12T00:00:00Z",
"theme": "blue",
"activities": [
{
"isPaid": true,
"startDateTime": "2019-03-11T15:00:00Z",
"endDateTime": "2019-03-11T15:15:00Z",
"code": "",
"displayName": "Lunch"
}
]
},
"draftShift": {
"displayName": "Day shift",
"notes": "Please do inventory as part of your shift.",
"startDateTime": "2019-03-11T15:00:00Z",
"endDateTime": "2019-03-12T00:00:00Z",
"theme": "blue",
"activities": [
{
"isPaid": true,
"startDateTime": "2019-03-11T15:00:00Z",
"endDateTime": "2019-03-11T15:30:00Z",
"code": "",
"displayName": "Lunch"
}
]
}
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var shift = new Shift
{
Id = "SHFT_577b75d2-a927-48c0-a5d1-dc984894e7b8",
CreatedDateTime = DateTimeOffset.Parse("2019-03-14T04:32:51.451Z"),
LastModifiedDateTime = DateTimeOffset.Parse("2019-03-14T05:32:51.451Z"),
UserId = "c5d0c76b-80c4-481c-be50-923cd8d680a1",
SchedulingGroupId = "TAG_228940ed-ff84-4e25-b129-1b395cf78be0",
LastModifiedBy = new IdentitySet
{
Application = null,
Device = null,
Conversation = null,
User = new Identity
{
Id = "366c0b19-49b1-41b5-a03f-9f3887bd0ed8",
DisplayName = "John Doe"
}
},
SharedShift = new ShiftItem
{
DisplayName = "Day shift",
Notes = "Please do inventory as part of your shift.",
StartDateTime = DateTimeOffset.Parse("2019-03-11T15:00:00Z"),
EndDateTime = DateTimeOffset.Parse("2019-03-12T00:00:00Z"),
Theme = ScheduleEntityTheme.Blue,
Activities = new List<ShiftActivity>()
{
new ShiftActivity
{
IsPaid = true,
StartDateTime = DateTimeOffset.Parse("2019-03-11T15:00:00Z"),
EndDateTime = DateTimeOffset.Parse("2019-03-11T15:15:00Z"),
Code = "",
DisplayName = "Lunch"
}
}
},
DraftShift = new ShiftItem
{
DisplayName = "Day shift",
Notes = "Please do inventory as part of your shift.",
StartDateTime = DateTimeOffset.Parse("2019-03-11T15:00:00Z"),
EndDateTime = DateTimeOffset.Parse("2019-03-12T00:00:00Z"),
Theme = ScheduleEntityTheme.Blue,
Activities = new List<ShiftActivity>()
{
new ShiftActivity
{
IsPaid = true,
StartDateTime = DateTimeOffset.Parse("2019-03-11T15:00:00Z"),
EndDateTime = DateTimeOffset.Parse("2019-03-11T15:30:00Z"),
Code = "",
DisplayName = "Lunch"
}
}
}
};
await graphClient.Teams["{team-id}"].Schedule.Shifts["{shift-id}"]
.Request()
.Header("Prefer","return=representation")
.PutAsync(shift);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
LinkedList<Option> requestOptions = new LinkedList<Option>();
requestOptions.add(new HeaderOption("Prefer", "return=representation"));
Shift shift = new Shift();
shift.id = "SHFT_577b75d2-a927-48c0-a5d1-dc984894e7b8";
shift.createdDateTime = OffsetDateTimeSerializer.deserialize("2019-03-14T04:32:51.451Z");
shift.lastModifiedDateTime = OffsetDateTimeSerializer.deserialize("2019-03-14T05:32:51.451Z");
shift.userId = "c5d0c76b-80c4-481c-be50-923cd8d680a1";
shift.schedulingGroupId = "TAG_228940ed-ff84-4e25-b129-1b395cf78be0";
IdentitySet lastModifiedBy = new IdentitySet();
lastModifiedBy.application = null;
lastModifiedBy.device = null;
lastModifiedBy.conversation = null;
Identity user = new Identity();
user.id = "366c0b19-49b1-41b5-a03f-9f3887bd0ed8";
user.displayName = "John Doe";
lastModifiedBy.user = user;
shift.lastModifiedBy = lastModifiedBy;
ShiftItem sharedShift = new ShiftItem();
sharedShift.displayName = "Day shift";
sharedShift.notes = "Please do inventory as part of your shift.";
sharedShift.startDateTime = OffsetDateTimeSerializer.deserialize("2019-03-11T15:00:00Z");
sharedShift.endDateTime = OffsetDateTimeSerializer.deserialize("2019-03-12T00:00:00Z");
sharedShift.theme = ScheduleEntityTheme.BLUE;
LinkedList<ShiftActivity> activitiesList = new LinkedList<ShiftActivity>();
ShiftActivity activities = new ShiftActivity();
activities.isPaid = true;
activities.startDateTime = OffsetDateTimeSerializer.deserialize("2019-03-11T15:00:00Z");
activities.endDateTime = OffsetDateTimeSerializer.deserialize("2019-03-11T15:15:00Z");
activities.code = "";
activities.displayName = "Lunch";
activitiesList.add(activities);
sharedShift.activities = activitiesList;
shift.sharedShift = sharedShift;
ShiftItem draftShift = new ShiftItem();
draftShift.displayName = "Day shift";
draftShift.notes = "Please do inventory as part of your shift.";
draftShift.startDateTime = OffsetDateTimeSerializer.deserialize("2019-03-11T15:00:00Z");
draftShift.endDateTime = OffsetDateTimeSerializer.deserialize("2019-03-12T00:00:00Z");
draftShift.theme = ScheduleEntityTheme.BLUE;
LinkedList<ShiftActivity> activitiesList1 = new LinkedList<ShiftActivity>();
ShiftActivity activities1 = new ShiftActivity();
activities1.isPaid = true;
activities1.startDateTime = OffsetDateTimeSerializer.deserialize("2019-03-11T15:00:00Z");
activities1.endDateTime = OffsetDateTimeSerializer.deserialize("2019-03-11T15:30:00Z");
activities1.code = "";
activities1.displayName = "Lunch";
activitiesList1.add(activities1);
draftShift.activities = activitiesList1;
shift.draftShift = draftShift;
graphClient.teams("{teamId}").schedule().shifts("{shiftId}")
.buildRequest( requestOptions )
.put(shift);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new Shift();
$additionalData = [
'id' => 'SHFT_577b75d2-a927-48c0-a5d1-dc984894e7b8',
'createdDateTime' => '2019-03-14T04:32:51.451Z',
'lastModifiedDateTime' => '2019-03-14T05:32:51.451Z',
'userId' => 'c5d0c76b-80c4-481c-be50-923cd8d680a1',
'schedulingGroupId' => 'TAG_228940ed-ff84-4e25-b129-1b395cf78be0',
'lastModifiedBy' => $requestBody = new LastModifiedBy();
$requestBody->setApplication(null);
$requestBody->setDevice(null);
$requestBody->setConversation(null);
$user = new User();
$ user->setId('366c0b19-49b1-41b5-a03f-9f3887bd0ed8');
$ user->setDisplayName('John Doe');
$requestBody->setUser($user);
$requestBody->setLastModifiedBy($lastModifiedBy);
'sharedShift' => $requestBody = new SharedShift();
$ requestBody->setDisplayName('Day shift');
$ requestBody->setNotes('Please do inventory as part of your shift.');
$ requestBody->setStartDateTime('2019-03-11T15:00:00Z');
$ requestBody->setEndDateTime('2019-03-12T00:00:00Z');
$ requestBody->setTheme('blue');
$activities1 = new ();
$activities1->setIsPaid(true);
$ activities1->setStartDateTime('2019-03-11T15:00:00Z');
$ activities1->setEndDateTime('2019-03-11T15:15:00Z');
$ activities1->setCode('');
$ activities1->setDisplayName('Lunch');
$activitiesArray []= $activities1;
$requestBody->setActivities($activitiesArray);
$requestBody->setSharedShift($sharedShift);
'draftShift' => $requestBody = new DraftShift();
$ requestBody->setDisplayName('Day shift');
$ requestBody->setNotes('Please do inventory as part of your shift.');
$ requestBody->setStartDateTime('2019-03-11T15:00:00Z');
$ requestBody->setEndDateTime('2019-03-12T00:00:00Z');
$ requestBody->setTheme('blue');
$activities1 = new ();
$activities1->setIsPaid(true);
$ activities1->setStartDateTime('2019-03-11T15:00:00Z');
$ activities1->setEndDateTime('2019-03-11T15:30:00Z');
$ activities1->setCode('');
$ activities1->setDisplayName('Lunch');
$activitiesArray []= $activities1;
$requestBody->setActivities($activitiesArray);
$requestBody->setDraftShift($draftShift);
];
$requestBody->setAdditionalData($additionalData);
$requestConfiguration = new ShiftRequestBuilderPutRequestConfiguration();
$headers = [
'Prefer' => 'return=representation',
];
$requestConfiguration->headers = $headers;
$graphServiceClient->teamsById('team-id')->schedule()->shiftsById('shift-id')->put($requestBody, $requestConfiguration);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.